Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 165493 - java.io.NotSerializableException: org.openide.modules.Dependency
java.io.NotSerializableException: org.openide.modules.Dependency
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch-candidate
:
Depends on:
Blocks: 160390
  Show dependency treegraph
 
Reported: 2009-05-19 13:22 UTC by jonast
Modified: 2009-07-25 06:20 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.21 KB, text/plain)
2009-05-19 13:22 UTC, jonast
Details
stacktrace (1.21 KB, text/plain)
2009-05-20 08:41 UTC, oj
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jonast 2009-05-19 13:22:01 UTC
Build: NetBeans IDE Dev (Build 200905190201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Windows Vista, 6.0, amd64

User Comments:
jonast: Pressed on installed in plugins view

GUEST: Ocurred after installing the Jemmy Support plugin.



Stacktrace: 
java.io.NotSerializableException: org.openide.modules.Dependency
        at java.io.ObjectOutputStream.writeObject0(ObjectOutputStream.java:1156)
        at java.io.ObjectOutputStream.writeObject(ObjectOutputStream.java:326)
        at java.util.HashSet.writeObject(HashSet.java:267)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(NativeMethodAccessorImpl.java:0)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
Comment 1 jonast 2009-05-19 13:22:09 UTC
Created attachment 82385 [details]
stacktrace
Comment 2 oj 2009-05-20 08:41:16 UTC
Build: NetBeans IDE Dev (Build 200904011705)
VM: Java HotSpot(TM) Client VM, 11.0-b11, Java(TM) SE Runtime Environment, 1.6.0_10-beta-b22
OS: Windows 2003, 5.2, x86

User Comments: 


Stacktrace: 
java.io.NotSerializableException: org.openide.modules.Dependency
        at java.io.ObjectOutputStream.writeObject0(ObjectOutputStream.java:1156)
        at java.io.ObjectOutputStream.writeObject(ObjectOutputStream.java:326)
        at java.util.HashSet.writeObject(HashSet.java:267)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(NativeMethodAccessorImpl.java:0)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
Comment 3 oj 2009-05-20 08:41:20 UTC
Created attachment 82450 [details]
stacktrace
Comment 4 Antonin Nebuzelsky 2009-07-24 13:05:53 UTC
Jardo, in 6.7 (April/2009) you changed o.o.m.Dependency to be Serializable. An incompatible change?
Comment 5 Jesse Glick 2009-07-24 15:18:34 UTC
Last user is updating core modules from nbms-and-javadoc:

	org.openide.modules [7.9 200903310200]
	org.netbeans.core.startup/1 [1.16.0.1 nbms-and-javadoc-3287-on-090611]

Yarda's change was diachronically incompatible: a new version of core.startup began relying on a new aspect of
openide.modules (that Dependency implements Serializable) yet did not declare this fact using a version dependency.
Comment 6 Jaroslav Tulach 2009-07-24 16:40:45 UTC
core-main#1f135ceaac3d
Comment 7 Jesse Glick 2009-07-24 17:01:55 UTC
You probably also want to incr the version of core.startup so as to push that to users, forcing an update of
openide.modules as well.

Patch candidate, I think; easy fix and there are a lot of dupes.
Comment 8 Quality Engineering 2009-07-25 06:20:26 UTC
Integrated into 'main-golden', will be available in build *200907250201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1f135ceaac3d
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #165493: core.startup needs openide.modules in version 7.10 to work correctly


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo